
From: Joe Thornber <thornber@sistina.com>

MODULE_PARM is deprecated in 2.6. Use the new module_param() macro.
[Kevin Corry]



 25-akpm/drivers/md/dm.c |    3 ++-
 1 files changed, 2 insertions(+), 1 deletion(-)

diff -puN drivers/md/dm.c~dm-1-module-param drivers/md/dm.c
--- 25/drivers/md/dm.c~dm-1-module-param	Thu Jul 31 11:33:01 2003
+++ 25-akpm/drivers/md/dm.c	Thu Jul 31 11:33:01 2003
@@ -8,6 +8,7 @@
 
 #include <linux/init.h>
 #include <linux/module.h>
+#include <linux/moduleparam.h>
 #include <linux/blkpg.h>
 #include <linux/bio.h>
 #include <linux/mempool.h>
@@ -916,7 +917,7 @@ struct block_device_operations dm_blk_do
 module_init(dm_init);
 module_exit(dm_exit);
 
-MODULE_PARM(major, "i");
+module_param(major, uint, 0);
 MODULE_PARM_DESC(major, "The major number of the device mapper");
 MODULE_DESCRIPTION(DM_NAME " driver");
 MODULE_AUTHOR("Joe Thornber <thornber@sistina.com>");

_
